import { AppController } from './AppController';
import { DaysOfStockModalController } from './modals/DaysOfStockModalController';
import { ConsumptionDiversionModalController } from './modals/ConsumptionDiversionModalController';
import { FinancialImpactModalController } from './modals/FinancialImpactModalController';
import { PendingReleasesModalController } from './modals/PendingReleasesModalController';
import { CostAnalysisModalController } from './modals/CostAnalysisModalController';
import { InflationModalController } from './modals/InflationModalController';
import { ProductWithoutMovModalController } from './modals/ProductWithoutMovModalController';
import { CardsController } from './CardsController';
import { GraphicsController } from './GraphicsController';
import { ParametersDashboardController } from './ParametersDashboardController';
import { DashboardController } from './DashboardController';
import { GenericValueController } from './GenericValueController';
import { TodayDeliveriesController } from './TodayDeliveriesController';
import { CostAnalysisAccumulatedModalController } from './modals/CostAnalysisAccumulatedModalController';
import { ConsumBudgetModalController } from './modals/ConsumBudgetModalController';
import { ExpenBudgetModalController } from './modals/ExpenBudgetModalController';
import { AdjustmentPercentConsumModalController } from './modals/AdjustmentPercentConsumModalController';
import { OperationalResultModalController } from './modals/OperationalResultModalController';
import { DaysOfStockGOModalController } from './modals/DaysOfStockGOModalController';
import { TrendAnalysisModalController } from './modals/TrendAnalysisModalController';
import { AFDeliveryLastWeekModalController } from './modals/AFDeliveryLastWeekModalController';

export default {
  AppController,
  DaysOfStockModalController,
  ConsumptionDiversionModalController,
  FinancialImpactModalController,
  PendingReleasesModalController,
  CostAnalysisModalController,
  InflationModalController,
  ProductWithoutMovModalController,
  CardsController,
  GraphicsController,
  ParametersDashboardController,
  DashboardController,
  GenericValueController,
  TodayDeliveriesController,
  CostAnalysisAccumulatedModalController,
  ConsumBudgetModalController,
  ExpenBudgetModalController,
  AdjustmentPercentConsumModalController,
  OperationalResultModalController,
  DaysOfStockGOModalController,
  TrendAnalysisModalController,
  AFDeliveryLastWeekModalController,
};
