export class Indicators {
  readonly cardsGU = [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 36, 37];
  
  readonly cardsGO = [12, 13, 14, 15];
  
  readonly cardsTD = [6, 16, 17];
  
  readonly cardsTA = [28, 29, 30, 31, 32, 33, 34, 35];
  
  readonly auxDash = [];
  
  readonly cardListGU = [
    {
      cardId: 1,
      i: 1,
      x: 0,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/daysOfStockCard',
      local: true,
    },
    {
      cardId: 2,
      i: 2,
      x: 2,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/processingDateCard',
      local: true,
    },
    {
      cardId: 3,
      i: 3,
      x: 4,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/daysOfDelayCard',
      local: true,
    },
    {
      cardId: 4,
      i: 4,
      x: 6,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/adjustmentValueCard',
      local: true,
    },
    {
      cardId: 5,
      i: 5,
      x: 8,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/extraRequestCard',
      local: true,
    },
    {
      cardId: 19,
      i: 19,
      x: 10,
      y: 0,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/consumptionDiversionCard',
      local: true,
    },
    {
      cardId: 20,
      i: 20,
      x: 0,
      y: 2,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/nextMenuReleaseCard',
      local: true,
    },
    {
      cardId: 21,
      i: 21,
      x: 2,
      y: 2,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/daysMenuApprovalCard',
      local: true,
    },
    {
      cardId: 22,
      i: 22,
      x: 4,
      y: 2,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/financialImpactCard',
      local: true,
    },
    {
      cardId: 23,
      i: 23,
      x: 6,
      y: 2,
      w: 2,
      h: 0.57,
      path: 'cardsDashboardGU/pendingReleasesCard',
      local: true,
    },
    {
      cardId: 8,
      i: 8,
      x: 0,
      y: 4,
      w: 6,
      h: 3.1,
      path: 'cardsDashboardGU/inflation',
      local: true,
    },
    {
      cardId: 9,
      i: 9,
      x: 6,
      y: 4,
      w: 6,
      h: 3.1,
      path: 'cardsDashboardGU/todayDeliveries',
      local: true,
    },
    {
      cardId: 11,
      i: 11,
      x: 0,
      y: 8,
      w: 3,
      h: 1.8,
      path: 'cardsDashboardGU/productWithoutMov',
      local: true,
    },
    {
      cardId: 36,
      i: 36,
      x: 3,
      y: 8,
      w: 3,
      h: 1.8,
      path: 'cardsDashboardGU/expenseBudget',
      local: true,
    },
    {
      cardId: 10,
      i: 10,
      x: 6,
      y: 8,
      w: 3,
      h: 1.8,
      path: 'cardsDashboardGU/demonstrativeSummary',
      local: true,
    },
    {
      cardId: 24,
      i: 24,
      x: 9,
      y: 8,
      w: 3,
      h: 1.8,
      path: 'cardsDashboardGU/consumptionBudget',
      local: true,
    },
    {
      cardId: 25,
      i: 25,
      x: 0,
      y: 9,
      w: 12,
      h: 2.95,
      path: 'cardsDashboardGU/periodBudget',
      local: true,
    },
    {
      cardId: 27,
      i: 27,
      x: 0,
      y: 12,
      w: 6,
      h: 2.95,
      path: 'cardsDashboardGU/workflowConsumption',
      local: true,
    },
    {
      cardId: 7,
      i: 7,
      x: 6,
      y: 12,
      w: 6,
      h: 2.95,
      path: 'cardsDashboardGU/puAnalysisDay',
      local: true,
    },
    {
      cardId: 18,
      i: 18,
      x: 0,
      y: 14,
      w: 6,
      h: 3.1,
      path: 'cardsDashboardGU/costAnalysis',
      local: true,
    },
    {
      cardId: 26,
      i: 26,
      x: 6,
      y: 14,
      w: 6,
      h: 3.35,
      path: 'cardsDashboardGU/demonstrativeSummaryGrid',
      local: true,
    },
    {
      cardId: 37,
      i: 37,
      x: 0,
      y: 16,
      w: 6,
      h: 3,
      path: 'cardsDashboardGU/workflowExpense',
      local: true,
    },
  ];
  
  readonly cardListGO = [
    {
      cardId: 12,
      i: 12,
      x: 0,
      y: 0,
      w: 6,
      h: 2.2,
      path: 'cardsDashboardGO/costAnalysisAccumulated',
      local: true,
    },
    {
      cardId: 13,
      i: 13,
      x: 6,
      y: 0,
      w: 6,
      h: 2.2,
      path: 'cardsDashboardGO/adjustmentPercentConsumption',
      local: true,
    },
    {
      cardId: 14,
      i: 14,
      x: 0,
      y: 8,
      w: 6,
      h: 2.2,
      path: 'cardsDashboardGO/operationalResult',
      local: true,
    },
    {
      cardId: 15,
      i: 15,
      x: 6,
      y: 8,
      w: 6,
      h: 2.2,
      path: 'cardsDashboardGO/daysOfStock',
      local: true,
    },
  ];
  
  readonly cardListTD = [
    {
      cardId: 6,
      i: 6,
      x: 0,
      y: 0,
      w: 12,
      h: 3,
      path: 'cardsDashboardAC/trendAnalysis',
      local: true,
    },
    {
      cardId: 16,
      i: 16,
      x: 0,
      y: 8,
      w: 12,
      h: 3.45,
      path: 'cardsDashboardAC/monitoringOfStaff',
      local: true,
    },
    {
      cardId: 17,
      i: 17,
      x: 0,
      y: 16,
      w: 12,
      h: 3.45,
      path: 'cardsDashboardAC/costComparison',
      local: true,
    },
  ];
  
  readonly cardListTA = [
    {
      cardId: 28,
      i: 28,
      x: 0,
      y: 0,
      w: 8,
      h: 3.1,
      path: 'cardsDashboardTA/afApprovalFollowUp',
      local: true,
    },
    {
      cardId: 29,
      i: 29,
      x: 8,
      y: 0,
      w: 4,
      h: 3.1,
      path: 'cardsDashboardTA/previousDayAFDelivery',
      local: true,
    },
    {
      cardId: 30,
      i: 30,
      x: 0,
      y: 2,
      w: 6,
      h: 3,
      path: 'cardsDashboardTA/aFDeliveryLastWeek',
      local: true,
      width: 6,
    },
    {
      cardId: 35,
      i: 35,
      x: 6,
      y: 2,
      w: 6,
      h: 4.8,
      path: 'cardsDashboardTA/averageTimeAF',
      local: true,
    },
  ];

  // function getIndicators(panel): number[] {
  //   const indicListGU = indic.cardsGU.filter((obj) => obj.panel === panel);
    
  //   return indicListGU.map((obj) => obj.cardId);
  // }
}
